--- 1/debian-el/apt-utils.el	2009-02-23 17:42:43.000000000 +0100
+++ 2/debian-el/apt-utils.el	2010-02-04 18:51:56.680730628 +0100
@@ -1,6 +1,6 @@
 ;;; apt-utils.el --- Emacs interface to APT (Debian package management)
 
-;;; Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007 Matthew P. Hodges
+;;; Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007 Matthew P. Hodges
 
 ;; Author: Matthew P. Hodges <MPHodges@member.fsf.org>
 ;;	$Id: apt-utils.el,v 1.17 2009-02-23 16:42:43 psg Exp $
@@ -403,6 +403,7 @@
         (apply 'call-process apt-utils-apt-cache-program nil '(t nil) nil
                "search" "--"
                (split-string package apt-utils-search-split-regexp))
+	(apt-utils-sort-result)
         (apt-utils-add-search-links 'search))
        ;; Search for names only
        ((equal type 'search-names-only)
@@ -410,12 +411,14 @@
         (apply 'call-process apt-utils-apt-cache-program nil '(t nil) nil
                "search" "--names-only" "--"
                (split-string package apt-utils-search-split-regexp))
+	(apt-utils-sort-result)
         (apt-utils-add-search-links 'search-names-only))
        ;; Search for file names
        ((equal type 'search-file-names)
         (insert (format "Debian package search (file names) for %s\n\n" package))
         (apply 'call-process apt-utils-dpkg-program nil t nil
                "-S" (list package))
+	(apt-utils-sort-result)
         (apt-utils-add-search-links 'search-file-names))
        ;; grep-dctrl search
        ((equal type 'search-grep-dctrl)
@@ -423,6 +426,7 @@
                         (concat (format "\"%s\" " (car package))
                                 (mapconcat 'identity (cdr package) " "))))
         (apply 'call-process apt-utils-grep-dctrl-program nil t nil package)
+	(apt-utils-sort-result)
         (apt-utils-add-package-links)))
       (if apt-utils-use-current-window
           (switch-to-buffer (current-buffer))
@@ -582,9 +586,7 @@
             (clrhash apt-utils-current-links)))
       (goto-char (point-min))
       ;; Sort results
-      (save-excursion
-        (forward-line 2)
-        (sort-lines nil (point) (point-max)))
+      (apt-utils-sort-result)
       (set-buffer-modified-p nil)
       (setq buffer-read-only t)
       (display-buffer (current-buffer)))))
@@ -2081,6 +2083,12 @@
                                        '(autoload macro)))
                             (trace-function-background sym buffer))))))
 
+(defun apt-utils-sort-result ()
+  (save-excursion
+    (goto-char (point-min))
+    (forward-line 2)
+    (sort-lines nil (point) (point-max))))
+
 (provide 'apt-utils)
 
 ;;; apt-utils.el ends here
